
Figure - Bug #112647
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】添加微件页面无法通过左划或者右划手势返回
2022-10-18 17:39 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-18

Priority: Normal Due date: 2022-10-18

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221018.alpha_0037

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Reproducibility: Every time Fixed Version: 2022-10-22

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按桌面进入微件添加模式

2、通过左划或者右划手势返回

【预期结果】

2、成功返回桌面

【实际结果】

2、无法返回

【复现率】

必现

History

#1 - 2022-10-19 09:42 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李蛟

#2 - 2022-10-19 11:47 - CD APP-李蛟

- Due date set to 2022-10-18

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

#3 - 2022-10-19 12:28 - CD APP-李蛟

- Status changed from RESOLVED to ASSIGNED

#4 - 2022-10-20 09:23 - CD APP-李蛟
■ Current conclusion

时序问题

■ My analysis

mIsOpen标志修改在状态检测之后，导致无法正确检测当前状态，启用返回手势

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/156601

#5 - 2022-10-21 10:23 - CD APP-李蛟

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李蛟 to CD TEST-方永红

- Fixed Version set to 2022-10-22

#6 - 2022-10-24 10:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

10.24 验证通过

#7 - 2022-10-24 10:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156601 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Fix back gesture in WidgetsFullSheet1. Set mIsOpen before addView WidgetsFullSheet.TC-RID: 1201-0205305IssueID:

TS-R-DF-112647Change-Id: I0a4ae61e98e76cc0af8af7f328945e871a13f251

Files

1738.txt 4.62 MB 2022-10-18 CD TEST-方永红
